package com.antai.sport.http.server.server.api.business.traininglog.mapper;

import com.antai.sport.http.server.repository.sport.entity.SportUserTrainingLog;
import com.antai.sport.http.server.server.api.business.traininglog.dto.SportUserTrainingLogSummaryVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;

public interface SportUserTrainingLogBusinessMapper {
    SportUserTrainingLog getLongestTrainingLog(@Param("sportType") Integer sportType, @Param("userId") Long userId);

    SportUserTrainingLogSummaryVO getTrainingLogSummary(@Param("sportType") Integer sportType,
                                                        @Param("userId") Long userId,
                                                        @Param("beginDate") LocalDate beginDate,
                                                        @Param("endDate") LocalDate endDate);
}
